export interface TreeSelectAPI {
	dropdownClassName?: string //下拉菜单的 className 属性
	dropdownMatchSelectWidth?: boolean | number //	下拉菜单和选择器同宽。默认将设置 min-width，当值小于选择框宽度时会被忽略。false 时会关闭虚拟滚动
	dropdownStyle?: object //下拉菜单的样式
	filterTreeNode?: boolean //是否根据输入项进行筛选，默认用 treeNodeFilterProp 的值作为要筛选的 TreeNode 的属性值
	labelInValue?: boolean //	是否把每个选项的 label 包装到 value 中，会把 value 类型从 string 变为 {value: string, label: VNode, halfChecked(treeCheckStrictly 时有效): string[] } 的格式
	listHeight?: number //设置弹窗滚动高度
	maxTagCount?: number //	最多显示多少个 tag
	multiple?: boolean //	支持多选（当设置 treeCheckable 时自动变为 true）
	searchPlaceholder?: string //		搜索框默认文字
	showSearch?: boolean //在下拉中显示搜索框(仅在单选模式下生效)
	treeCheckable?: boolean //	显示 checkbox
	treeCheckStrictly?: boolean //	checkable 状态下节点选择完全受控（父子节点选中状态不再关联），会使得 labelInValue 强制为 true
	treeDefaultExpandAll?: boolean //默认展开所有树节点
	treeDefaultExpandedKeys?: string[] | number[] //默认展开的树节点
	treeLine?: boolean //是否展示线条样式，请参考 Tree - showLine
	treeNodeFilterProp?: string //	输入项过滤对应的 treeNode 属性
	treeNodeLabelProp?: string //	作为显示的 prop 设置
	virtual?: string //设置 false 时关闭虚拟滚动
	placeholder?: string //占位符
}
